class Classe_scimmia:
    def __init__(self, immagine, schermo):
        self.immagine = immagine
        self.rettangolo = immagine.get_rect()
        # posizione iniziale della scimmia: in basso a metà dello schermo
        x0 = schermo[0]/2 - self.immagine.get_width()/2
        y0 = schermo[1] - self.immagine.get_height()
        self.rettangolo.topleft = (x0,y0)

        self.rett_mano = self.rettangolo.copy() # rettangolo relativo alla mano
        self.rett_mano.left = self.rett_mano.left + 40
        self.rett_mano.height = 50
        self.rett_mano.width = 60

    def muovi(self, spostamento, schermo):
        # se non è arrivato ai bordi sposta scimmia e mano 
        if ((self.rettangolo.right < schermo[0] and spostamento > 0) or
                     (self.rettangolo.left > 0 and spostamento < 0)):
            self.rettangolo = self.rettangolo.move(spostamento,0)#sposta la scimmia        
            self.rett_mano = self.rett_mano.move(spostamento,0)  #sposta la mano   


class Classe_frutto:
    def __init__(self, immagine, velocita, schermo):
        import random
        self.immagine = immagine
        self.velocita = velocita
        self.rettangolo = immagine.get_rect()
        # y0 è compreso tra 0 e larghezza schermo meno larghezza immagine
        y0 = random.randint(0,schermo[0] - self.immagine.get_width())
        self.rettangolo.left = y0
        
    def muovi(self,schermo):
        # si muove automaticamente verso il basso alla velocità
        # stabilita in fase di creazione
        self.rettangolo = self.rettangolo.move(0,self.velocita)

        # restituisce 0 se metà del frutto è oltre il margine inf. dello schermo
        if self.rettangolo.centery > schermo[1]:
            return 0
        else:
            return 1
